# dingtalk-api-starter

钉钉各种API的封装

## 使用方式

### 1. 引入依赖

```xml
<!-- dingtalk-api-starter -->
<dependency>
    <groupId>com.nokia</groupId>
    <artifactId>dingtalk-api-starter</artifactId>
    <version>1.0</version>
</dependency>
```

### 2. 添加配置

```yml
dingtalk:
  api:
    enable: true
    appKey: yourAppKey
    appSecret: yourAppSecret
    redis:
      enable: true
      host: 192.168.31.83
      port: 6379
```

> 注意，这里的独立redis可以不用配置，但需要自行注入一个`RedisTemplate<String, Object>`对象

### 3. 直接通过`@AutoWired`注入即可使用

```java
@Autowired
    private DingtalkService service;

@Test
void test() throws InterruptedException {
    String sendText = service.SendText("cidcWmmFwduUTDB3G0vPNOldQ==", "测试测试测试====");
    System.out.println(sendText);
    Thread.sleep(1000 * 5);
    service.recallMessage("cidcWmmFwduUTDB3G0vPNOldQ==", sendText);
}
```

## 版本更新记录

### v1.0

1. 支持通过机器人向钉钉群发送文件、图片、markdown、普通文本消息
2. 支持根据发送消息返回的id撤回消息
